%define name	zypper
%define docdir	%{_defaultdocdir}/%{name}

Name:		%{name}
Version:	1.6.5
Release:	%mkrel 1
Summary:	Command line package manager
License:	GPLv2+
Group:		System/Configuration/Packaging
URL:		http://en.opensuse.org/Zypper
Source0:	%{name}-%{version}.tar.bz2
Patch1:		zypper-1.6.5-docdir.patch
Patch2:		zypper-1.6.5-nolib.patch
BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	augeas-devel
BuildRequires:	libzypp-devel
BuildRequires:	libreadline-devel

%description
Zypper is a command line package manager, which makes use of libzypp, 
providing functions like repository access, dependency solving, 
package installation, etc.

The XML based repository metadata used by this package manager is not 
available on Mageia mirrors so it cannot be used for regular package 
installation.

%prep
%setup -q
%patch1 -p1 -b .docdir
%patch2 -p1 -b .nolib

%build
%cmake -DFEDORA:BOOL=TRUE -DDOC_INSTALL_DIR:PATH=%{docdir}
%make

%install
rm -rf %buildroot
pushd build
%makeinstall_std
popd
%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/installation_sources
%{_sbindir}/zypp-refresh
%{_sbindir}/zypp-refresh-wrapper
%{_sysconfdir}/bash_completion.d
%config(noreplace) %{_sysconfdir}/logrotate.d/zypp-refresh.lr
%config(noreplace) %{_sysconfdir}/logrotate.d/zypper.lr
%config(noreplace) %{_sysconfdir}/zypp/%{name}.conf
%{_datadir}/%{name}
%{_mandir}/man8/%{name}.8.*
%{docdir}


%changelog
* Fri Jun 17 2011 cjw <cjw> 1.6.5-1.mga2
+ Revision: 108575
- imported package zypper

